## org.biojava.bio.program.gff
Class GFFRecordFilter.NotFilter

    java.lang.Object
      org.biojava.bio.program.gff.GFFRecordFilter.NotFilter

All Implemented Interfaces:
  GFFRecordFilter

Enclosing class:
  GFFRecordFilter

public static class GFFRecordFilter.NotFilter
extends java.lang.Object
implements GFFRecordFilter

Nested Class Summary

Nested classes inherited from class org.biojava.bio.program.gff.GFFRecordFilter
`GFFRecordFilter.AcceptAll, GFFRecordFilter.FeatureFilter, GFFRecordFilter.FrameFilter, GFFRecordFilter.NotFilter, GFFRecordFilter.SequenceFilter, GFFRecordFilter.SourceFilter, GFFRecordFilter.StrandFilter`

Field Summary

Fields inherited from interface org.biojava.bio.program.gff.GFFRecordFilter
`ACCEPT_ALL`

Constructor Summary
`GFFRecordFilter.NotFilter()`
`GFFRecordFilter.NotFilter(GFFRecordFilter filter)`

Method Summary
`boolean` `accept(GFFRecord record)` Return whether or not to accept record.
`GFFRecordFilter` `getFilter()`
`void` `setFilter(GFFRecordFilter filter)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GFFRecordFilter.NotFilter

    public GFFRecordFilter.NotFilter()

### GFFRecordFilter.NotFilter

    public GFFRecordFilter.NotFilter(GFFRecordFilter filter)

Method Detail

### setFilter

    public void setFilter(GFFRecordFilter filter)

### getFilter

    public GFFRecordFilter getFilter()

### accept

    public boolean accept(GFFRecord record)

  Description copied from interface: `GFFRecordFilter`
  Return whether or not to accept record.

  Specified by:
    `accept` in interface `GFFRecordFilter`
  Returns:
    true if record should be accepted or false otherwise